Skip to content

Update a Concept

Request

Update a concept by ID

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
concept_idintegerrequired

Numeric ID of the concept to update

Bodyapplication/json
versioninteger, (int32)
Example:3
namestring, [ 1 .. 256 ] charactersrequired
statusboolean
Default:true
archivedboolean
Default:false
POST
/concepts/{concept_id}
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/concepts/{concept_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "version": 3,
    "name": "string",
    "status": true,
    "archived": false
  }'

Responses

Concept response

Bodyapplication/json
dataobject(concept_full)
metaobject(single_metadata)
Response
{ "data": { "id": 0, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "entity_type": "string", "atomic_creative_list": [], "media_type_list": [], "strategy_list": [], "advertiser_name": "string", "version": 3, "name": "string", "status": true, "archived": false, "advertiser_id": 76 }, "meta": { "status": "success" } }